unit uComisionesViewRegister;

interface

procedure RegisterViews;
procedure UnregisterViews;

implementation

uses
  uEditorRegistryUtils, uEditorComisiones, uEditorComision, uEditorComisionesReport;
//, uEditorElegirArticulosFacturaCliente, uEditorElegirFacturasCliente;

procedure RegisterViews;
begin
  EditorRegistry.RegisterClass(TfEditorComisiones, 'EditorComisiones');
  EditorRegistry.RegisterClass(TfEditorComision, 'EditorComision');
//  EditorRegistry.RegisterClass(TfEditorElegirArticulosFacturaCliente, 'EditorElegirArticulosFacturaCliente');
//  EditorRegistry.RegisterClass(TfEditorElegirFacturasCliente, 'EditorElegirFacturasCliente');
  EditorRegistry.RegisterClass(TfEditorComisionesPreview, 'EditorComisionesPreview');
end;

procedure UnregisterViews;
begin
  EditorRegistry.UnRegisterClass(TfEditorComisiones);
  EditorRegistry.UnRegisterClass(TfEditorComision);
//  EditorRegistry.UnRegisterClass(TfEditorElegirArticulosFacturaCliente);
//  EditorRegistry.UnRegisterClass(TfEditorElegirFacturasCliente);
  EditorRegistry.UnRegisterClass(TfEditorComisionesPreview);
end;

end.
